var search_targets = 
[/*jshint multistr: true */

  ["1 Introduction", [
    ["definitions", "1002", "The Material Definition Language (MDL) module <tt>nvidia::core_definitions</tt> contains a collection of MDL materials that can either be used independently ( <i>simple materials </i>) or in combination with other materials through the use of <i>material combiners </i> and <i>material modifiers </i>. <i>Texturing functions </i> provide further control and refinement of material parameter values. Together, materials, combiners, modfiers and the texturing functions can simulate complex, real-world models of appearance."]
  ]],
  ["2.1 Simple materials", [
    ["definitions", "1006", "Simple materials can either be used directly to model real world materials with matching behavior or can be used as components when creating more complex materials using material combiners or material modifiers."]
  ]],
  ["2.1.1 Simple Diffuse", [
    ["definitions", "1009", "A basic opaque, diffuse reflective material."],
    ["definitions", "1010", "Parameters:"],
    ["definitions", "1011", "name"],
    ["definitions", "1012", "type"],
    ["definitions", "1013", "default"],
    ["definitions", "1014", "description"],
    ["definitions", "1015", "Color"],
    ["definitions", "1016", "color"],
    ["definitions", "1017", "80% grey"],
    ["definitions", "1018", "The color (reflectivity) of the material. Realistic values are between 4% black and 90% white."],
    ["definitions", "1019", "Diffuse Roughness"],
    ["definitions", "1020", "float"],
    ["definitions", "1021", "0.0"],
    ["definitions", "1022", "Higher roughness values lead a powdery appearance. Values must be between 0.0 and 1.0."],
    ["definitions", "1023", "Bumps"],
    ["definitions", "1024", "float3"],
    ["definitions", "1025", "no bumps"],
    ["definitions", "1026", "Attach bump or normal maps here."]
  ]],
  ["2.1.2 Metal", [
    ["definitions", "1029", "A metallic material, supports stretched (anisotropic) reflections."],
    ["definitions", "1030", "Parameters:"],
    ["definitions", "1031", "name"],
    ["definitions", "1032", "type"],
    ["definitions", "1033", "default"],
    ["definitions", "1034", "description"],
    ["definitions", "1035", "Color"],
    ["definitions", "1036", "color"],
    ["definitions", "1037", "90% white"],
    ["definitions", "1038", "The color of the metal."],
    ["definitions", "1039", "Roughness"],
    ["definitions", "1040", "float"],
    ["definitions", "1041", "0.05"],
    ["definitions", "1042", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1043", "Reflection weight"],
    ["definitions", "1044", "float"],
    ["definitions", "1045", "0.9"],
    ["definitions", "1046", "Intensity of highlights and glossy reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1047", "Anisotropy"],
    ["definitions", "1048", "float"],
    ["definitions", "1049", "0.0"],
    ["definitions", "1050", "Higher values will stretch the highlight, simulating microscopic scratches. Values must be between 0.0 and 1.0."],
    ["definitions", "1051", "Anisotropy rotation"],
    ["definitions", "1052", "float"],
    ["definitions", "1053", "0.0"],
    ["definitions", "1054", "Changes the orientation of the anisotropy. A value of 1 will rotate the orientation 360  Values must be between 0.0 and 1.0."],
    ["definitions", "1055", "Bumps"],
    ["definitions", "1056", "float3"],
    ["definitions", "1057", "no bumps"],
    ["definitions", "1058", "Attach bump or normal maps here."]
  ]],
  ["2.1.3 Plastic", [
    ["definitions", "1061", "A basic dielectric, works for not just plastic but every material opaque that is not metallic. Supports stretched highlights"],
    ["definitions", "1062", "Parameters:"],
    ["definitions", "1063", "name"],
    ["definitions", "1064", "type"],
    ["definitions", "1065", "default"],
    ["definitions", "1066", "description"],
    ["definitions", "1067", "Color"],
    ["definitions", "1068", "color"],
    ["definitions", "1069", "50% grey"],
    ["definitions", "1070", "The color of the material."],
    ["definitions", "1071", "Roughness"],
    ["definitions", "1072", "float"],
    ["definitions", "1073", "0.05"],
    ["definitions", "1074", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1075", "Reflection weight"],
    ["definitions", "1076", "float"],
    ["definitions", "1077", "1.0"],
    ["definitions", "1078", "Additional control for the reflectivity. Values must be between 0.0 and 1.0."],
    ["definitions", "1079", "Anisotropy"],
    ["definitions", "1080", "float"],
    ["definitions", "1081", "0.0"],
    ["definitions", "1082", "Higher values will stretch the highlight, simulating microscopic scratches. Values must be between 0.0 and 1.0."],
    ["definitions", "1083", "Anisotropy rotation"],
    ["definitions", "1084", "float"],
    ["definitions", "1085", "0.0"],
    ["definitions", "1086", "Changes the orientation of the anisotropy. A value of 1 will rotate the orientation 360. Values must be between 0.0 and 1.0."],
    ["definitions", "1087", "IOR"],
    ["definitions", "1088", "float"],
    ["definitions", "1089", "1.5"],
    ["definitions", "1090", "Determines reflectivity. Typical plastics have an index of refraction of around 1.5. Realistic values are between 1.0 and 4.0"],
    ["definitions", "1091", "Bumps"],
    ["definitions", "1092", "float3"],
    ["definitions", "1093", "no bumps"],
    ["definitions", "1094", "Attach bump or normal maps here."]
  ]],
  ["2.1.4 Retroreflective", [
    ["definitions", "1097", "A material with a retroreflective component, works well for road signs and retroreflective stickers."],
    ["definitions", "1098", "Parameters:"],
    ["definitions", "1099", "name"],
    ["definitions", "1100", "type"],
    ["definitions", "1101", "default"],
    ["definitions", "1102", "description"],
    ["definitions", "1103", "Color"],
    ["definitions", "1104", "color"],
    ["definitions", "1105", "color(.2,.03,.03)"],
    ["definitions", "1106", "The color of the material."],
    ["definitions", "1107", "Reflection color"],
    ["definitions", "1108", "color"],
    ["definitions", "1109", "color(.8,.8,.03)"],
    ["definitions", "1110", "The color of the material."],
    ["definitions", "1111", "Roughness"],
    ["definitions", "1112", "float"],
    ["definitions", "1113", "0.05"],
    ["definitions", "1114", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1115", "Reflection weight facing"],
    ["definitions", "1116", "float"],
    ["definitions", "1117", "0.05"],
    ["definitions", "1118", "Reflectivity control for geometry facing the viewer. Values must be between 0.0 and 1.0."],
    ["definitions", "1119", "Reflection weight edge"],
    ["definitions", "1120", "float"],
    ["definitions", "1121", "0.05"],
    ["definitions", "1122", "Reflectivity control for the reflectivity at geometry edges. Values must be between 0.0 and 1.0."],
    ["definitions", "1123", "Bumps"],
    ["definitions", "1124", "float3"],
    ["definitions", "1125", "no bumps"],
    ["definitions", "1126", "Attach bump or normal maps here."]
  ]],
  ["2.1.5 Thin glass", [
    ["definitions", "1129", "A basic transmissive dielectric without refraction or volume. Suitable for all cases were transparent materials are modeled as a single polygon."],
    ["definitions", "1130", "Parameters:"],
    ["definitions", "1131", "name"],
    ["definitions", "1132", "type"],
    ["definitions", "1133", "default"],
    ["definitions", "1134", "description"],
    ["definitions", "1135", "Transmission color"],
    ["definitions", "1136", "color"],
    ["definitions", "1137", "95% transmissive"],
    ["definitions", "1138", "The color of the material."],
    ["definitions", "1139", "Roughness"],
    ["definitions", "1140", "float"],
    ["definitions", "1141", "0.0"],
    ["definitions", "1142", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1143", "IOR"],
    ["definitions", "1144", "float"],
    ["definitions", "1145", "1.4"],
    ["definitions", "1146", "Determines reflectivity. Typical glass materials have an index of refraction of around 1.5. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1147", "Bumps"],
    ["definitions", "1148", "float3"],
    ["definitions", "1149", "no bumps"],
    ["definitions", "1150", "Attach bump or normal maps here."]
  ]],
  ["2.1.6 Thin translucent material", [
    ["definitions", "1153", "A diffuse transmissive dielectric material. Suitable as a basis for creating paper, fabric or leaves."],
    ["definitions", "1154", "Parameters:"],
    ["definitions", "1155", "name"],
    ["definitions", "1156", "type"],
    ["definitions", "1157", "default"],
    ["definitions", "1158", "description"],
    ["definitions", "1159", "Diffuse color"],
    ["definitions", "1160", "color"],
    ["definitions", "1161", "95% white"],
    ["definitions", "1162", "The color of the material."],
    ["definitions", "1163", "Translucence color"],
    ["definitions", "1164", "color"],
    ["definitions", "1165", "95% white"],
    ["definitions", "1166", "The color of light passing through the material."],
    ["definitions", "1167", "Translucence weight"],
    ["definitions", "1168", "float"],
    ["definitions", "1169", "0.5"],
    ["definitions", "1170", "the amount of translucence vs. diffuse reflection. Values must be between 0.0 and 1.0."],
    ["definitions", "1171", "Roughness"],
    ["definitions", "1172", "float"],
    ["definitions", "1173", "0.0"],
    ["definitions", "1174", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1175", "IOR"],
    ["definitions", "1176", "float"],
    ["definitions", "1177", "1.5"],
    ["definitions", "1178", "Determines reflectivity. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1179", "Bumps"],
    ["definitions", "1180", "float3"],
    ["definitions", "1181", "no bumps"],
    ["definitions", "1182", "Attach bump or normal maps here."]
  ]],
  ["2.1.7 Thick glass", [
    ["definitions", "1185", "A basic transmissive dielectric with refraction and coloring in the volume."],
    ["definitions", "1186", "Parameters:"],
    ["definitions", "1187", "name"],
    ["definitions", "1188", "type"],
    ["definitions", "1189", "default"],
    ["definitions", "1190", "description"],
    ["definitions", "1191", "Transmission color"],
    ["definitions", "1192", "color"],
    ["definitions", "1193", "100% white"],
    ["definitions", "1194", "Colors the light entering the volume. Think stained glass."],
    ["definitions", "1195", "Volume color"],
    ["definitions", "1196", "color"],
    ["definitions", "1197", "95% white"],
    ["definitions", "1198", "The color of the glass body. The actual color in the rendering will depend also on thickness of the model and \"Volume reference distance\"."],
    ["definitions", "1199", "Volume reference distance"],
    ["definitions", "1200", "float"],
    ["definitions", "1201", "0.1"],
    ["definitions", "1202", "Should be set to the typical thickness of objects made from this material. \"Volume color\" will be reached at this distance. The unit for this distance is meter."],
    ["definitions", "1203", "Roughness"],
    ["definitions", "1204", "float"],
    ["definitions", "1205", "0.0"],
    ["definitions", "1206", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1207", "IOR"],
    ["definitions", "1208", "float"],
    ["definitions", "1209", "1.5"],
    ["definitions", "1210", "Determines reflectivity and refraction strength. Typical glasses have an index of refraction of around 1.5. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1211", "Abbe number"],
    ["definitions", "1212", "float"],
    ["definitions", "1213", "0.0"],
    ["definitions", "1214", "Controls dispersion. 0.0 switches dispersion off, dispersive materials have abbe numbers between 25.0 and 85.0 Realistic values are between 1.0 and 4.0."],
    ["definitions", "1215", "Bumps"],
    ["definitions", "1216", "float3"],
    ["definitions", "1217", "no bumps"],
    ["definitions", "1218", "Attach bump or normal maps here."]
  ]],
  ["2.1.8 Thick translucent material", [
    ["definitions", "1221", "A subsurface scattering material. Can be used to create, for example, wax or milk."],
    ["definitions", "1222", "Parameters:"],
    ["definitions", "1223", "name"],
    ["definitions", "1224", "type"],
    ["definitions", "1225", "default"],
    ["definitions", "1226", "description"],
    ["definitions", "1227", "Transmission color"],
    ["definitions", "1228", "color"],
    ["definitions", "1229", "100% white"],
    ["definitions", "1230", "Colors the light entering the volume. Think stained glass."],
    ["definitions", "1231", "Volume color"],
    ["definitions", "1232", "color"],
    ["definitions", "1233", "95% white"],
    ["definitions", "1234", "The color of the object body. The actual color in the rendering will depend also on thickness of the model and \"Volume reference distance\"."],
    ["definitions", "1235", "Volume scattering"],
    ["definitions", "1236", "float"],
    ["definitions", "1237", "0.5"],
    ["definitions", "1238", "Amount of sub surface scattering at \"Volume reference distance\". Values must be between 0.0 and 1.0."],
    ["definitions", "1239", "Volume reference distance"],
    ["definitions", "1240", "float"],
    ["definitions", "1241", "0.1"],
    ["definitions", "1242", "Should be set to the typical thickness of objects made from this material. \"Volume color\" and \"Volume scattering\" will be reached at this distance. The unit for this distance is meter."],
    ["definitions", "1243", "Reflection roughness"],
    ["definitions", "1244", "float"],
    ["definitions", "1245", "0.0"],
    ["definitions", "1246", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1247", "Reflection weight"],
    ["definitions", "1248", "float"],
    ["definitions", "1249", "1.0"],
    ["definitions", "1250", "Overall reflectivity of the material. Values must be between 0.0 and 1.0."],
    ["definitions", "1251", "IOR"],
    ["definitions", "1252", "float"],
    ["definitions", "1253", "1.4"],
    ["definitions", "1254", "Determines reflectivity. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1255", "Abbe number"],
    ["definitions", "1256", "float"],
    ["definitions", "1257", "0.0"],
    ["definitions", "1258", "Controls dispersion. 0.0 switches dispersion off, dispersive materials have abbe numbers between 25.0 and 85.0 Realistic values are between 1.0 and 4.0."],
    ["definitions", "1259", "Bumps"],
    ["definitions", "1260", "float3"],
    ["definitions", "1261", "no bumps"],
    ["definitions", "1262", "Attach bump or normal maps here."]
  ]],
  ["2.1.9 Flexible material model", [
    ["definitions", "1265", "A complex material that can be configured to recreate a wide variety of looks."],
    ["definitions", "1266", "Parameters:"],
    ["definitions", "1267", "name"],
    ["definitions", "1268", "type"],
    ["definitions", "1269", "default"],
    ["definitions", "1270", "description"],
    ["definitions", "1271", "Base color"],
    ["definitions", "1272", "color"],
    ["definitions", "1273", "50% grey"],
    ["definitions", "1274", "The color of the material."],
    ["definitions", "1275", "Diffuse roughness"],
    ["definitions", "1276", "float"],
    ["definitions", "1277", "0.0"],
    ["definitions", "1278", "Higher roughness values lead to a more \"powdery\" look. Values must be between 0.0 and 1.0."],
    ["definitions", "1279", "Metallic material"],
    ["definitions", "1280", "bool"],
    ["definitions", "1281", "false"],
    ["definitions", "1282", "If true, reflection will be colored and independent of view direction. If false, reflection will be white and direction dependent. Directional dependence is in this case based on the index of refraction (Fresnell effect)."],
    ["definitions", "1283", "Reflection weight"],
    ["definitions", "1284", "float"],
    ["definitions", "1285", "1.0"],
    ["definitions", "1286", "Controls the amount of (glossy or mirror-like) reflection. Values must be between 0.0 and 1.0."],
    ["definitions", "1287", "Reflection roughness"],
    ["definitions", "1288", "float"],
    ["definitions", "1289", "0.1"],
    ["definitions", "1290", "Higher roughness values lead to more blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1291", "Reflection anisotropy"],
    ["definitions", "1292", "float"],
    ["definitions", "1293", "0.0"],
    ["definitions", "1294", "Higher values will stretch the highlight. Values must be between 0.0 and 1.0."],
    ["definitions", "1295", "Anisotropy rotation"],
    ["definitions", "1296", "float"],
    ["definitions", "1297", "0.0"],
    ["definitions", "1298", "Changes the orientation of the anisotropy. A value of 1 will rotate the orientation 360  Values must be between 0.0 and 1.0."],
    ["definitions", "1299", "Transmission color"],
    ["definitions", "1300", "color"],
    ["definitions", "1301", "100% white"],
    ["definitions", "1302", "Color effect for transmission independent of thickness of the object. Think stained glass."],
    ["definitions", "1303", "Volume color"],
    ["definitions", "1304", "color"],
    ["definitions", "1305", "100% white"],
    ["definitions", "1306", "Only applies if not \"Thin walled\". \"Volume color\" will be reached at \"Volume reference distance\" (in meter)."],
    ["definitions", "1307", "Volume reference distance"],
    ["definitions", "1308", "float"],
    ["definitions", "1309", "0.1"],
    ["definitions", "1310", "Only applies if not \"Thin walled\". Should be set to the typical thickness of objects made from this material. \"Volume color\" and \"Volume scattering\" will be reached at this distance. The unit for this distance is meter."],
    ["definitions", "1311", "Transmission roughness"],
    ["definitions", "1312", "float"],
    ["definitions", "1313", "0.0"],
    ["definitions", "1314", "Higher values lead to objects seen through the material to appear blurry. Values must be between 0.0 and 1.0."],
    ["definitions", "1315", "Transmission weight"],
    ["definitions", "1316", "float"],
    ["definitions", "1317", "0.0"],
    ["definitions", "1318", "Weights how much light passes through the object vs it's diffuse reflectivity Values must be between 0.0 and 1.0."],
    ["definitions", "1319", "IOR"],
    ["definitions", "1320", "float"],
    ["definitions", "1321", "1.5"],
    ["definitions", "1322", "Determines reflectivity and refraction strength. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1323", "Abbe number"],
    ["definitions", "1324", "float"],
    ["definitions", "1325", "0.0"],
    ["definitions", "1326", "Controls dispersion. 0.0 switches dispersion off, dispersive materials have abbe numbers between 25.0 and 85.0"],
    ["definitions", "1327", "Thin walled"],
    ["definitions", "1328", "bool"],
    ["definitions", "1329", "false"],
    ["definitions", "1330", "Thin walled materials do not refract and do not have volume effects. Good for soap bubbles or window glass."],
    ["definitions", "1331", "Bumps"],
    ["definitions", "1332", "float3"],
    ["definitions", "1333", "no bumps"],
    ["definitions", "1334", "Attach bump or normal maps here."]
  ]],
  ["2.1.10 Flaky Paint", [
    ["definitions", "1337", "A multi layer paint material featuring metallic flakesflakes. It is made up of a diffuse base, a flake layer and a clearcoat layer."],
    ["definitions", "1338", "Parameters:"],
    ["definitions", "1339", "name"],
    ["definitions", "1340", "type"],
    ["definitions", "1341", "default"],
    ["definitions", "1342", "description"],
    ["definitions", "1343", "Base color"],
    ["definitions", "1344", "color"],
    ["definitions", "1345", "rgb 0.3, 0.01, 0.01"],
    ["definitions", "1346", "The color of the base paint."],
    ["definitions", "1347", "Flake color"],
    ["definitions", "1348", "color"],
    ["definitions", "1349", "rgb 0.6, 1.0, 0.1"],
    ["definitions", "1350", "The color of the Flakes."],
    ["definitions", "1351", "Flake roughness"],
    ["definitions", "1352", "float"],
    ["definitions", "1353", "0.15"],
    ["definitions", "1354", "Determines roughness of the metallic flakes. Values must be between 0.0 and 1.0."],
    ["definitions", "1355", "Flake size"],
    ["definitions", "1356", "float"],
    ["definitions", "1357", "1.0"],
    ["definitions", "1358", "Determines size of the metallic flakes, in mm."],
    ["definitions", "1359", "Flake amount"],
    ["definitions", "1360", "float"],
    ["definitions", "1361", "0.4"],
    ["definitions", "1362", "Determines amount of visible metallic flakes. Values must be between 0.0 and 1.0."],
    ["definitions", "1363", "Flake weight"],
    ["definitions", "1364", "float"],
    ["definitions", "1365", "0.8"],
    ["definitions", "1366", "Determines visibility of the metallic flakes. Values must be between 0.0 and 1.0."],
    ["definitions", "1367", "Flake orientation randomness"],
    ["definitions", "1368", "float"],
    ["definitions", "1369", "1.0"],
    ["definitions", "1370", "Larger numbers will increase the sparkle radius around highlights."],
    ["definitions", "1371", "IOR"],
    ["definitions", "1372", "float"],
    ["definitions", "1373", "1.6"],
    ["definitions", "1374", "termines reflectivity of the clear coat. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1375", "Coat roughness"],
    ["definitions", "1376", "float"],
    ["definitions", "1377", "0.0"],
    ["definitions", "1378", "Determines roughness of the clear coat."],
    ["definitions", "1379", "Coat bump"],
    ["definitions", "1380", "float3"],
    ["definitions", "1381", "no bumps"],
    ["definitions", "1382", "Attach bump or normal maps here."]
  ]],
  ["2.2 Modifier materials", [
    ["definitions", "1385", "Modifier materials can be used to create new materials based on already created materials. They either combine multiple materials into a new one or add additional features to an existing material."]
  ]],
  ["2.2.1 Apply clear coating", [
    ["definitions", "1388", "This modifier applies an additional (dielectric) clear coat to an existing material. The clear coat can have a dedicated bump map, this way its, for example, possible to simulate the typical \"orange peel\" effect of paints."],
    ["definitions", "1389", "Parameters:"],
    ["definitions", "1390", "name"],
    ["definitions", "1391", "type"],
    ["definitions", "1392", "default"],
    ["definitions", "1393", "description"],
    ["definitions", "1394", "Base Material"],
    ["definitions", "1395", "material"],
    ["definitions", "1396", "Simple diffuse"],
    ["definitions", "1397", "The material that will get a clear coating applied."],
    ["definitions", "1398", "Coat filter color"],
    ["definitions", "1399", "color"],
    ["definitions", "1400", "100% white"],
    ["definitions", "1401", "For simulating coatings with colored resins that modulate the color of underlying layers"],
    ["definitions", "1402", "Reflection roughness"],
    ["definitions", "1403", "float"],
    ["definitions", "1404", "0.0"],
    ["definitions", "1405", "Determines roughness of the clear coat. Values must be between 0.0 and 1.0."],
    ["definitions", "1406", "Coat visibility"],
    ["definitions", "1407", "float"],
    ["definitions", "1408", "1.0"],
    ["definitions", "1409", "Determines visibility of the clear coat."],
    ["definitions", "1410", "IOR"],
    ["definitions", "1411", "float"],
    ["definitions", "1412", "1.6"],
    ["definitions", "1413", "Determines reflectivity of the clear coat. Realistic values are between 1.0 and 4.0."],
    ["definitions", "1414", "Bumps"],
    ["definitions", "1415", "float3"],
    ["definitions", "1416", "no bumps"],
    ["definitions", "1417", "Attach bump or normal maps here."]
  ]],
  ["2.2.2 Apply thin metal coating", [
    ["definitions", "1420", "Apply metal coat to an existing material."],
    ["definitions", "1421", "Parameters:"],
    ["definitions", "1422", "name"],
    ["definitions", "1423", "type"],
    ["definitions", "1424", "default"],
    ["definitions", "1425", "description"],
    ["definitions", "1426", "Base Material"],
    ["definitions", "1427", "material"],
    ["definitions", "1428", "Simple diffuse"],
    ["definitions", "1429", "The material that will get a coating applied."],
    ["definitions", "1430", "Reflection color"],
    ["definitions", "1431", "color"],
    ["definitions", "1432", "95% white"],
    ["definitions", "1433", "The color of the metallic coat"],
    ["definitions", "1434", "Reflection roughness"],
    ["definitions", "1435", "float"],
    ["definitions", "1436", "0.0"],
    ["definitions", "1437", "Determines roughness of the coat. Values must be between 0.0 and 1.0."],
    ["definitions", "1438", "Reflection weight"],
    ["definitions", "1439", "float"],
    ["definitions", "1440", "0.3"],
    ["definitions", "1441", "The oacity of the metallic coat. Values must be between 0.0 and 1.0."],
    ["definitions", "1442", "Bumps"],
    ["definitions", "1443", "float3"],
    ["definitions", "1444", "no bumps"],
    ["definitions", "1445", "Attach bump or normal maps here."]
  ]],
  ["2.2.3 Apply a cover of dust", [
    ["definitions", "1448", "A diffuse dust cover thats more visible towards the edges of an object."],
    ["definitions", "1449", "Parameters:"],
    ["definitions", "1450", "name"],
    ["definitions", "1451", "type"],
    ["definitions", "1452", "default"],
    ["definitions", "1453", "description"],
    ["definitions", "1454", "Base Material"],
    ["definitions", "1455", "material"],
    ["definitions", "1456", "Simple diffuse"],
    ["definitions", "1457", "The material that will get a coating applied."],
    ["definitions", "1458", "Dust color"],
    ["definitions", "1459", "color"],
    ["definitions", "1460", "70% grey"],
    ["definitions", "1461", "The color of the dust."],
    ["definitions", "1462", "Dust density"],
    ["definitions", "1463", "float"],
    ["definitions", "1464", "1.0"],
    ["definitions", "1465", "The opacity of the dust cover. Values must be between 0.0 and 1.0."],
    ["definitions", "1466", "Dust amount"],
    ["definitions", "1467", "float"],
    ["definitions", "1468", "0.5"],
    ["definitions", "1469", "Overall dust amount. Values must be between 0.01 and 1.0."],
    ["definitions", "1470", "Bumps"],
    ["definitions", "1471", "float3"],
    ["definitions", "1472", "no bumps"],
    ["definitions", "1473", "Attach bump or normal maps here."]
  ]],
  ["2.2.4 Apply a color falloff", [
    ["definitions", "1476", "This applies a view dependent color filter to the underlying materials reflection. Note that this is applied at microscopic levels, therefore the color transitions will be blurred if the material is of high roughness. A color falloff can be used for example to increase the realism of metallic reflections."],
    ["definitions", "1477", "Parameters:"],
    ["definitions", "1478", "name"],
    ["definitions", "1479", "type"],
    ["definitions", "1480", "default"],
    ["definitions", "1481", "description"],
    ["definitions", "1482", "Base Material"],
    ["definitions", "1483", "material"],
    ["definitions", "1484", "Metal"],
    ["definitions", "1485", "The material that will get modified."],
    ["definitions", "1486", "Color 1"],
    ["definitions", "1487", "color"],
    ["definitions", "1488", "\"red\""],
    ["definitions", "1489", "Falloff color 1 (facing direction)"],
    ["definitions", "1490", "Color 2"],
    ["definitions", "1491", "color"],
    ["definitions", "1492", "\"green\""],
    ["definitions", "1493", "Falloff color 2"],
    ["definitions", "1494", "Color 3"],
    ["definitions", "1495", "color"],
    ["definitions", "1496", "\"blue\""],
    ["definitions", "1497", "Falloff color 3"],
    ["definitions", "1498", "Color 4"],
    ["definitions", "1499", "color"],
    ["definitions", "1500", "\"red\""],
    ["definitions", "1501", "Falloff color 4"],
    ["definitions", "1502", "Color 5"],
    ["definitions", "1503", "color"],
    ["definitions", "1504", "\"green\""],
    ["definitions", "1505", "Falloff color 5 (object edges)"]
  ]],
  ["2.2.5 Apply Flake coating", [
    ["definitions", "1508", "Apply layer of metallic flakes to an existing material. Flakes have a random variation to their orientation resulting in sparkling effects around highlights. Parameters:"],
    ["definitions", "1509", "name"],
    ["definitions", "1510", "type"],
    ["definitions", "1511", "default"],
    ["definitions", "1512", "description"],
    ["definitions", "1513", "Base Material"],
    ["definitions", "1514", "material"],
    ["definitions", "1515", "Simple diffuse"],
    ["definitions", "1516", "The material that will get a flake layer applied to."],
    ["definitions", "1517", "Color"],
    ["definitions", "1518", "color"],
    ["definitions", "1519", "rgb 0.9, 0.7, 0.5"],
    ["definitions", "1520", "The color of the Flakes."],
    ["definitions", "1521", "Roughness"],
    ["definitions", "1522", "float"],
    ["definitions", "1523", "0.0"],
    ["definitions", "1524", "Determines roughness of the metallic flakes."],
    ["definitions", "1525", "Flake size"],
    ["definitions", "1526", "float"],
    ["definitions", "1527", "1.0"],
    ["definitions", "1528", "Determines size of the metallic flakes, given in mm."],
    ["definitions", "1529", "Flake amount"],
    ["definitions", "1530", "float"],
    ["definitions", "1531", "0.5"],
    ["definitions", "1532", "Determines amount of visible metallic flakes. Values must be between 0.0 and 1.0."],
    ["definitions", "1533", "Flake opacity"],
    ["definitions", "1534", "float"],
    ["definitions", "1535", "0.5"],
    ["definitions", "1536", "Determines visibility of the metallic flakes. Values must be between 0.0 and 1.0."],
    ["definitions", "1537", "Flake orientation randomness"],
    ["definitions", "1538", "float"],
    ["definitions", "1539", "1.0"],
    ["definitions", "1540", "Larger numbers will increase the sparkle radius around highlights."]
  ]],
  ["2.2.6 Apply thin film", [
    ["definitions", "1543", "Apply thin film coating to an existing material. Thin film effects for example change the color of lenses or are responsible for heat coloring of metals or the rainbow colors in soap bubbles. Parameters:"],
    ["definitions", "1544", "name"],
    ["definitions", "1545", "type"],
    ["definitions", "1546", "default"],
    ["definitions", "1547", "description"],
    ["definitions", "1548", "Base Material"],
    ["definitions", "1549", "material"],
    ["definitions", "1550", "Simple diffuse"],
    ["definitions", "1551", "The material that will get a flake layer applied to."],
    ["definitions", "1552", "IOR"],
    ["definitions", "1553", "float"],
    ["definitions", "1554", "1.6"],
    ["definitions", "1555", "The index of refraction of the thin film interface."],
    ["definitions", "1556", "thickness"],
    ["definitions", "1557", "float"],
    ["definitions", "1558", "400"],
    ["definitions", "1559", "Thickness of the thin film in nm."]
  ]],
  ["2.2.7 Add cut-outs", [
    ["definitions", "1562", "Cuts out a shape from an existing material. Also forces material to be thin-walled since cut-outs do not work with volumetric effects. Suitable for modeling leaves, grass or fences without actually creating exact geometry."],
    ["definitions", "1563", "Parameters:"],
    ["definitions", "1564", "name"],
    ["definitions", "1565", "type"],
    ["definitions", "1566", "default"],
    ["definitions", "1567", "description"],
    ["definitions", "1568", "Base Material"],
    ["definitions", "1569", "material"],
    ["definitions", "1570", "Plastic"],
    ["definitions", "1571", "The material that you want to cut out your object from."],
    ["definitions", "1572", "Cutout"],
    ["definitions", "1573", "float"],
    ["definitions", "1574", "1.0"],
    ["definitions", "1575", "Attach a texturing function to define the extent of the object. Note that while the parameter is defined as \"float\", it is not meant to be used as a substitute of opacity."]
  ]],
  ["2.2.8 Add simple sticker", [
    ["definitions", "1578", "A quick way for adding stickers to a material. The sticker is a simple dielectric and needs a mask to define it's extent"],
    ["definitions", "1579", "Parameters:"],
    ["definitions", "1580", "name"],
    ["definitions", "1581", "type"],
    ["definitions", "1582", "default"],
    ["definitions", "1583", "description"],
    ["definitions", "1584", "Base Material"],
    ["definitions", "1585", "material"],
    ["definitions", "1586", "Plastic"],
    ["definitions", "1587", "The material that will get a sticker added."],
    ["definitions", "1588", "Sticker Color"],
    ["definitions", "1589", "color"],
    ["definitions", "1590", "50% grey"],
    ["definitions", "1591", "The color of the material."],
    ["definitions", "1592", "Sticker Roughness"],
    ["definitions", "1593", "float"],
    ["definitions", "1594", "0.05"],
    ["definitions", "1595", "Higher roughness values lead to bigger highlights and blurry reflections. Values must be between 0.0 and 1.0."],
    ["definitions", "1596", "Sticker Reflectivity"],
    ["definitions", "1597", "float"],
    ["definitions", "1598", "1.0"],
    ["definitions", "1599", "Additional control for the reflectivity. Values must be between 0.0 and 1.0."],
    ["definitions", "1600", "Sticker mask"],
    ["definitions", "1601", "float"],
    ["definitions", "1602", "0.0"],
    ["definitions", "1603", "Determines extent of the sticker. Values must be between 0.0 and 1.0."],
    ["definitions", "1604", "Sticker IOR"],
    ["definitions", "1605", "float"],
    ["definitions", "1606", "1.5"],
    ["definitions", "1607", "Determines reflectivity. Typical plastics have an index of refraction of around 1.5. Realistic values are between 1.0 and 4.0"],
    ["definitions", "1608", "Sticker Bumps"],
    ["definitions", "1609", "float3"],
    ["definitions", "1610", "no bumps"],
    ["definitions", "1611", "Attach bump or normal maps here."]
  ]],
  ["2.2.9 Add global bumpmap", [
    ["definitions", "1614", "Adds global bumpmap to existing materials. Local bump map of the base material is preserved and work on top of the global bump map."],
    ["definitions", "1615", "Parameters:"],
    ["definitions", "1616", "name"],
    ["definitions", "1617", "type"],
    ["definitions", "1618", "default"],
    ["definitions", "1619", "description"],
    ["definitions", "1620", "Base Material"],
    ["definitions", "1621", "material"],
    ["definitions", "1622", "Plastic"],
    ["definitions", "1623", "The material that will get a global bump map applied."],
    ["definitions", "1624", "Bumps"],
    ["definitions", "1625", "float3"],
    ["definitions", "1626", "no bumps"],
    ["definitions", "1627", "Attach bump or normal maps here."]
  ]],
  ["2.2.10 Add displacement", [
    ["definitions", "1630", "Adds displacement to an existing material. Note that the object might need special setup to show the displacement correctly (configure the maximum displacement for the object and add subdivisions for low polygonal geometry)."],
    ["definitions", "1631", "Parameters:"],
    ["definitions", "1632", "name"],
    ["definitions", "1633", "type"],
    ["definitions", "1634", "default"],
    ["definitions", "1635", "description"],
    ["definitions", "1636", "Base Material"],
    ["definitions", "1637", "material"],
    ["definitions", "1638", "Plastic"],
    ["definitions", "1639", "The material that will get a global bump map applied."],
    ["definitions", "1640", "Displacement amount"],
    ["definitions", "1641", "float"],
    ["definitions", "1642", "0.0"],
    ["definitions", "1643", "Attach displacement texture here. Note that the object needs to be set up correctly to have good displacement results."],
    ["definitions", "1644", "Displacement scale"],
    ["definitions", "1645", "float"],
    ["definitions", "1646", "1.0"],
    ["definitions", "1647", "A global scale factor for the displacement amount."]
  ]],
  ["2.2.11 Add emission", [
    ["definitions", "1650", "Adds emission to a material."],
    ["definitions", "1651", "Parameters:"],
    ["definitions", "1652", "name"],
    ["definitions", "1653", "type"],
    ["definitions", "1654", "default"],
    ["definitions", "1655", "description"],
    ["definitions", "1656", "Base Material"],
    ["definitions", "1657", "material"],
    ["definitions", "1658", "Simple diffuse"],
    ["definitions", "1659", "The material that will get emission added."],
    ["definitions", "1660", "Color"],
    ["definitions", "1661", "color"],
    ["definitions", "1662", "100% white"],
    ["definitions", "1663", "The color of the Light."],
    ["definitions", "1664", "Intensity"],
    ["definitions", "1665", "float"],
    ["definitions", "1666", "1000"],
    ["definitions", "1667", "the brightness of the emitted light"],
    ["definitions", "1668", "Unit for emission"],
    ["definitions", "1669", "emmission unit type"],
    ["definitions", "1670", "lumen&#47;m2"],
    ["definitions", "1671", "supported units are lumen&#47;m2,lumen,candela, nit (candela&#47;m2)"]
  ]],
  ["2.2.12 Add thermal emission", [
    ["definitions", "1674", "Adds emission to a material. The color is determined by a color temperature. The default is 6500K daylight."],
    ["definitions", "1675", "Parameters:"],
    ["definitions", "1676", "name"],
    ["definitions", "1677", "type"],
    ["definitions", "1678", "default"],
    ["definitions", "1679", "description"],
    ["definitions", "1680", "Base Material"],
    ["definitions", "1681", "material"],
    ["definitions", "1682", "Simple diffuse"],
    ["definitions", "1683", "The material that will get emission added."],
    ["definitions", "1684", "Temperature"],
    ["definitions", "1685", "float"],
    ["definitions", "1686", "6500"],
    ["definitions", "1687", "The color temperature of the Light in Kelvin."],
    ["definitions", "1688", "Intensity"],
    ["definitions", "1689", "float"],
    ["definitions", "1690", "1000"],
    ["definitions", "1691", "the brightness of the emitted light"],
    ["definitions", "1692", "Unit for emission"],
    ["definitions", "1693", "emmission unit type"],
    ["definitions", "1694", "lumen&#47;m2"],
    ["definitions", "1695", "supported units are lumen&#47;m2,lumen,candela, nit (candela&#47;m2)"]
  ]],
  ["2.2.13 Surface Blender", [
    ["definitions", "1698", "Blend surface characteristics of two materials or mask them using a texture. Volumetric and geometric characteristics of the \"Base Material\" will be retained."],
    ["definitions", "1699", "Parameters:"],
    ["definitions", "1700", "name"],
    ["definitions", "1701", "type"],
    ["definitions", "1702", "default"],
    ["definitions", "1703", "description"],
    ["definitions", "1704", "Base Material"],
    ["definitions", "1705", "material"],
    ["definitions", "1706", "Plastic"],
    ["definitions", "1707", "The material the blend is based on."],
    ["definitions", "1708", "Blend Material"],
    ["definitions", "1709", "material"],
    ["definitions", "1710", "Metal"],
    ["definitions", "1711", "Surface properties to be used for the blend are taken from this material."],
    ["definitions", "1712", "Blend weight"],
    ["definitions", "1713", "float"],
    ["definitions", "1714", "0.0"],
    ["definitions", "1715", "Weight of the \"Blend material\" to be used in the blend. Values must be between 0.0 and 1.0."]
  ]],
  ["2.3 Emissive materials", [
    ["definitions", "1717", "In MDL, there is no distinction between regular objects and lightsources. Any object can have emissive as well as reflective&#47;transmissive behavior. The following set of materials replicate the behavior of standard \"light shaders\"."]
  ]],
  ["2.3.1 Diffuse emission", [
    ["definitions", "1720", "Emissive material emitting in all directions."],
    ["definitions", "1721", "Parameters:"],
    ["definitions", "1722", "name"],
    ["definitions", "1723", "type"],
    ["definitions", "1724", "default"],
    ["definitions", "1725", "description"],
    ["definitions", "1726", "Color"],
    ["definitions", "1727", "color"],
    ["definitions", "1728", "100% white"],
    ["definitions", "1729", "The color of the Light."],
    ["definitions", "1730", "Intensity"],
    ["definitions", "1731", "float"],
    ["definitions", "1732", "1000.0"],
    ["definitions", "1733", "The brightness of the light source"],
    ["definitions", "1734", "Unit for emission"],
    ["definitions", "1735", "emmission unit type"],
    ["definitions", "1736", "lumen&#47;m2"],
    ["definitions", "1737", "supported units are lumen&#47;m2,lumen,candela, nit (candela&#47;m2)"]
  ]],
  ["2.3.2 Spotlight emission", [
    ["definitions", "1740", "Emissive material emitting focused in one direction (y direction in object space)."],
    ["definitions", "1741", "Parameters:"],
    ["definitions", "1742", "name"],
    ["definitions", "1743", "type"],
    ["definitions", "1744", "default"],
    ["definitions", "1745", "description"],
    ["definitions", "1746", "Color"],
    ["definitions", "1747", "color"],
    ["definitions", "1748", "100% white"],
    ["definitions", "1749", "The color of the Light."],
    ["definitions", "1750", "Intensity"],
    ["definitions", "1751", "float"],
    ["definitions", "1752", "1000.0"],
    ["definitions", "1753", "The brightness of the light source."],
    ["definitions", "1754", "Spot focus"],
    ["definitions", "1755", "float"],
    ["definitions", "1756", "30.0"],
    ["definitions", "1757", "Larger values lead to more focused spotlights."],
    ["definitions", "1758", "Unit for emission"],
    ["definitions", "1759", "emmission unit type"],
    ["definitions", "1760", "lumen&#47;m2"],
    ["definitions", "1761", "supported units are lumen&#47;m2,lumen,candela, nit (candela&#47;m2)"]
  ]],
  ["2.3.3 IES file based emission", [
    ["definitions", "1764", "Emissive material emitting as described in an IES file (y direction in object space)."],
    ["definitions", "1765", "Parameters:"],
    ["definitions", "1766", "name"],
    ["definitions", "1767", "type"],
    ["definitions", "1768", "default"],
    ["definitions", "1769", "description"],
    ["definitions", "1770", "IES light profile data"],
    ["definitions", "1771", "IES file"],
    ["definitions", "1772", "no profile"],
    ["definitions", "1773", "Data describing the distribution of the light."],
    ["definitions", "1774", "Color"],
    ["definitions", "1775", "color"],
    ["definitions", "1776", "100% white"],
    ["definitions", "1777", "The color of the Light."],
    ["definitions", "1778", "Intensity"],
    ["definitions", "1779", "float"],
    ["definitions", "1780", "1000.0"],
    ["definitions", "1781", "The brightness of the light source."]
  ]],
  ["Texturing functions can be used to add variation to many features of a material. They can for example be used to change the color across an object, the intensities of reflections or add variations to an otherwise smooth surface through bump maps. nvidia::core_definitions suppports texturing using bitmap textures as well as a selection of procedural textures to add variation. Most texturing functions come in 2 flavours: 1 variant suitable to add bumps to a material and one variant to add color or vary roughness or reflectivity. 3.1 Bitmap texture (color/float variant)", [
    ["definitions", "1784", "This function allows texturing using image files of various file formates. It is suitable for adding variation to color or float type parameters."],
    ["definitions", "1785", "Parameters:"],
    ["definitions", "1786", "name"],
    ["definitions", "1787", "type"],
    ["definitions", "1788", "default"],
    ["definitions", "1789", "description"],
    ["definitions", "1790", "Bitmap file"],
    ["definitions", "1791", "file texture"],
    ["definitions", "1793", "The image file to be used for texturing"],
    ["definitions", "1794", "Scalar mode"],
    ["definitions", "1795", "enum"],
    ["definitions", "1796", "\"Average\""],
    ["definitions", "1797", "Defines what should happen if a color texture is used on a \"float\" type parameter. By defaul, the average value is used."],
    ["definitions", "1798", "Brightness"],
    ["definitions", "1799", "float"],
    ["definitions", "1800", "1.0"],
    ["definitions", "1801", "A controll to vary the brightness of the image before use."],
    ["definitions", "1802", "Contrast"],
    ["definitions", "1803", "float"],
    ["definitions", "1804", "1.0"],
    ["definitions", "1805", "A controll to vary the contrast of the image before use."],
    ["definitions", "1806", "UV space index"],
    ["definitions", "1807", "int"],
    ["definitions", "1808", "0"],
    ["definitions", "1809", "Allows the use of a specific UV channel if the object has multiple UV sets defined."],
    ["definitions", "1810", "Invert image"],
    ["definitions", "1811", "bool"],
    ["definitions", "1812", "false"],
    ["definitions", "1813", "Allows inverting of the texture."],
    ["definitions", "1814", "Rotation"],
    ["definitions", "1815", "float"],
    ["definitions", "1816", "0.0"],
    ["definitions", "1817", "Rotation angle of the texture in degrees"],
    ["definitions", "1818", "Offset"],
    ["definitions", "1819", "float2"],
    ["definitions", "1820", "0.0, 0.0"],
    ["definitions", "1821", "Controls position of the texture on the object"],
    ["definitions", "1822", "Tiling"],
    ["definitions", "1823", "float2"],
    ["definitions", "1824", "1.0, 1.0"],
    ["definitions", "1825", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."],
    ["definitions", "1826", "Clip"],
    ["definitions", "1827", "bool"],
    ["definitions", "1828", "false"],
    ["definitions", "1829", "If set to true, texture will not repeat. Outside of the texture, color will be black and the scalar value will be 0."]
  ]],
  ["3.2 Bitmap texture (bump variant)", [
    ["definitions", "1831", "Allows texturing using image files of various file formates. The image is interpreted as a hight map to compute the bumpiness."],
    ["definitions", "1832", "Parameters:"],
    ["definitions", "1833", "name"],
    ["definitions", "1834", "type"],
    ["definitions", "1835", "default"],
    ["definitions", "1836", "description"],
    ["definitions", "1837", "Bitmap file"],
    ["definitions", "1838", "file texture"],
    ["definitions", "1840", "The image file to be used for texturing"],
    ["definitions", "1841", "Bump mode"],
    ["definitions", "1842", "enum"],
    ["definitions", "1843", "\"Average\""],
    ["definitions", "1844", "Defines what should happen if a color texture is used on a \"float\" type parameter. By defaul, the average value is used."],
    ["definitions", "1845", "Bump strength"],
    ["definitions", "1846", "float"],
    ["definitions", "1847", "1.0"],
    ["definitions", "1848", "Scales the virtual heightmap, higher values lead to stronger bumps."],
    ["definitions", "1849", "UV space index"],
    ["definitions", "1850", "int"],
    ["definitions", "1851", "0"],
    ["definitions", "1852", "Allows the use of a specific UV channel if the object has multiple UV sets defined."],
    ["definitions", "1853", "Clip"],
    ["definitions", "1854", "bool"],
    ["definitions", "1855", "false"],
    ["definitions", "1856", "If set to true, texture will not repeat. Outside of the texture the surface will be flat."],
    ["definitions", "1857", "Rotation"],
    ["definitions", "1858", "float"],
    ["definitions", "1859", "0.0"],
    ["definitions", "1860", "Rotation angle of the texture in degrees"],
    ["definitions", "1861", "Offset"],
    ["definitions", "1862", "float2"],
    ["definitions", "1863", "0.0, 0.0"],
    ["definitions", "1864", "Controls position of the texture on the object"],
    ["definitions", "1865", "Tiling"],
    ["definitions", "1866", "float2"],
    ["definitions", "1867", "1.0, 1.0"],
    ["definitions", "1868", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.3 Normalmap texture", [
    ["definitions", "1870", "Allows the use of tangent space normal maps."],
    ["definitions", "1871", "Parameters:"],
    ["definitions", "1872", "name"],
    ["definitions", "1873", "type"],
    ["definitions", "1874", "default"],
    ["definitions", "1875", "description"],
    ["definitions", "1876", "Normalmap file"],
    ["definitions", "1877", "file texture"],
    ["definitions", "1879", "The image file containing the normal map."],
    ["definitions", "1880", "Strength"],
    ["definitions", "1881", "float"],
    ["definitions", "1882", "1.0"],
    ["definitions", "1883", "Controls the strength of the normal map."],
    ["definitions", "1884", "UV space index"],
    ["definitions", "1885", "int"],
    ["definitions", "1886", "0"],
    ["definitions", "1887", "Allows the use of a specific UV channel if the object has multiple UV sets defined."],
    ["definitions", "1888", "Clip"],
    ["definitions", "1889", "bool"],
    ["definitions", "1890", "false"],
    ["definitions", "1891", "If set to true, texture will not repeat. Outside of the texture the surface will be flat."],
    ["definitions", "1892", "Rotation"],
    ["definitions", "1893", "float"],
    ["definitions", "1894", "0.0"],
    ["definitions", "1895", "Rotation angle of the texture in degrees"],
    ["definitions", "1896", "Offset"],
    ["definitions", "1897", "float2"],
    ["definitions", "1898", "0.0, 0.0"],
    ["definitions", "1899", "Controls position of the texture on the object"],
    ["definitions", "1900", "Tiling"],
    ["definitions", "1901", "float2"],
    ["definitions", "1902", "1.0, 1.0"],
    ["definitions", "1903", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.4 3d checker texture (color/float variant)", [
    ["definitions", "1905", "Allows texturing using a 3 dimensional checkerboard pattern. 3D textures use all not just uv but uvw or object space (xyz) coordinates. If \"w\" coordinates are not explicitely provided they are set to 0."],
    ["definitions", "1906", "Parameters:"],
    ["definitions", "1907", "name"],
    ["definitions", "1908", "type"],
    ["definitions", "1909", "default"],
    ["definitions", "1910", "description"],
    ["definitions", "1911", "Color 1"],
    ["definitions", "1912", "color"],
    ["definitions", "1913", "100% white"],
    ["definitions", "1914", "1st checker color."],
    ["definitions", "1915", "Color 2"],
    ["definitions", "1916", "color"],
    ["definitions", "1917", "0% black"],
    ["definitions", "1918", "2nd checker color."],
    ["definitions", "1919", "Blur"],
    ["definitions", "1920", "floar"],
    ["definitions", "1921", "0.0"],
    ["definitions", "1922", "Higher values lead to a blurring of the checker tiles."],
    ["definitions", "1923", "Use Object Space"],
    ["definitions", "1924", "bool"],
    ["definitions", "1925", "false"],
    ["definitions", "1926", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "1927", "UV space index"],
    ["definitions", "1928", "int"],
    ["definitions", "1929", "0"],
    ["definitions", "1930", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "1931", "Rotation"],
    ["definitions", "1932", "float3"],
    ["definitions", "1933", "0.0, 0.0, 0.0"],
    ["definitions", "1934", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "1935", "Offset"],
    ["definitions", "1936", "float3"],
    ["definitions", "1937", "0.0, 0.0, 0.0"],
    ["definitions", "1938", "Controls position of the texture on the object"],
    ["definitions", "1939", "Tiling"],
    ["definitions", "1940", "float3"],
    ["definitions", "1941", "1.0, 1.0, 1.0"],
    ["definitions", "1942", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.5 3d checker texture (bump variant)", [
    ["definitions", "1944", "Allows texturing using a checkerboard pattern."],
    ["definitions", "1945", "Parameters:"],
    ["definitions", "1946", "name"],
    ["definitions", "1947", "type"],
    ["definitions", "1948", "default"],
    ["definitions", "1949", "description"],
    ["definitions", "1950", "Bump strength"],
    ["definitions", "1951", "float"],
    ["definitions", "1952", "1"],
    ["definitions", "1953", "The strength of the bump mapping effect."],
    ["definitions", "1954", "Blur"],
    ["definitions", "1955", "floar"],
    ["definitions", "1956", "0.0"],
    ["definitions", "1957", "Higher values lead to a blurring of the checker tiles."],
    ["definitions", "1958", "Use Object Space"],
    ["definitions", "1959", "bool"],
    ["definitions", "1960", "false"],
    ["definitions", "1961", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "1962", "UV space index"],
    ["definitions", "1963", "int"],
    ["definitions", "1964", "0"],
    ["definitions", "1965", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "1966", "Rotation"],
    ["definitions", "1967", "float3"],
    ["definitions", "1968", "0.0, 0.0, 0.0"],
    ["definitions", "1969", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "1970", "Offset"],
    ["definitions", "1971", "float3"],
    ["definitions", "1972", "0.0, 0.0, 0.0"],
    ["definitions", "1973", "Controls position of the texture on the object."],
    ["definitions", "1974", "Tiling"],
    ["definitions", "1975", "float3"],
    ["definitions", "1976", "1.0, 1.0, 1.0"],
    ["definitions", "1977", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.6 Perlin noise texture (color/float variant)", [
    ["definitions", "1979", "Allow texturing with a random noise pattern."],
    ["definitions", "1980", "Parameters:"],
    ["definitions", "1981", "name"],
    ["definitions", "1982", "type"],
    ["definitions", "1983", "default"],
    ["definitions", "1984", "description"],
    ["definitions", "1985", "Color 1"],
    ["definitions", "1986", "color"],
    ["definitions", "1987", "100% white"],
    ["definitions", "1988", "1st noise color."],
    ["definitions", "1989", "Color 2"],
    ["definitions", "1990", "color"],
    ["definitions", "1991", "0% black"],
    ["definitions", "1992", "2nd noise color."],
    ["definitions", "1993", "Levels"],
    ["definitions", "1994", "int"],
    ["definitions", "1995", "3"],
    ["definitions", "1996", "Higher amounts will add detail to the noise. Value must be between 1 and 6."],
    ["definitions", "1997", "Billowing appearance"],
    ["definitions", "1998", "bool"],
    ["definitions", "1999", "false"],
    ["definitions", "2000", "The noise will take on a more cloud like shape if set to true."],
    ["definitions", "2001", "Lower threshold"],
    ["definitions", "2002", "float"],
    ["definitions", "2003", "0.0"],
    ["definitions", "2004", "Increasing this value will create bigger areas uniformly colored with Color 2."],
    ["definitions", "2005", "Upper threshold"],
    ["definitions", "2006", "float"],
    ["definitions", "2007", "1.0"],
    ["definitions", "2008", "Lowering this value will create bigger areas uniformly colored with Color 1."],
    ["definitions", "2009", "Use Object Space"],
    ["definitions", "2010", "bool"],
    ["definitions", "2011", "false"],
    ["definitions", "2012", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2013", "UV space index"],
    ["definitions", "2014", "int"],
    ["definitions", "2015", "0"],
    ["definitions", "2016", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2017", "Rotation"],
    ["definitions", "2018", "float3"],
    ["definitions", "2019", "0.0, 0.0, 0.0"],
    ["definitions", "2020", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2021", "Offset"],
    ["definitions", "2022", "float3"],
    ["definitions", "2023", "0.0, 0.0, 0.0"],
    ["definitions", "2024", "Controls position of the texture on the object."],
    ["definitions", "2025", "Tiling"],
    ["definitions", "2026", "float3"],
    ["definitions", "2027", "1.0, 1.0, 1.0"],
    ["definitions", "2028", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.7 Perlin noise texture (bump variant)", [
    ["definitions", "2030", "Allow texturing with a random noise pattern."],
    ["definitions", "2031", "Parameters:"],
    ["definitions", "2032", "name"],
    ["definitions", "2033", "type"],
    ["definitions", "2034", "default"],
    ["definitions", "2035", "description"],
    ["definitions", "2036", "Bump strength"],
    ["definitions", "2037", "float"],
    ["definitions", "2038", "1"],
    ["definitions", "2039", "The strength of the bump mapping effect."],
    ["definitions", "2040", "Levels"],
    ["definitions", "2041", "int"],
    ["definitions", "2042", "1"],
    ["definitions", "2043", "Higher amounts will add detail to the noise. Value must be between 1 and 6."],
    ["definitions", "2044", "Billowing appearance"],
    ["definitions", "2045", "bool"],
    ["definitions", "2046", "false"],
    ["definitions", "2047", "The noise will take on a more cloud like shape if set to true."],
    ["definitions", "2048", "Lower threshold"],
    ["definitions", "2049", "float"],
    ["definitions", "2050", "0.0"],
    ["definitions", "2051", "Increasing this value will create bigger uniformly flat low areas."],
    ["definitions", "2052", "Upper threshold"],
    ["definitions", "2053", "float"],
    ["definitions", "2054", "1.0"],
    ["definitions", "2055", "Lowering this value will create bigger uniformly flat high areas."],
    ["definitions", "2056", "Use Object Space"],
    ["definitions", "2057", "bool"],
    ["definitions", "2058", "false"],
    ["definitions", "2059", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2060", "UV space index"],
    ["definitions", "2061", "int"],
    ["definitions", "2062", "0"],
    ["definitions", "2063", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2064", "Rotation"],
    ["definitions", "2065", "float3"],
    ["definitions", "2066", "0.0, 0.0, 0.0"],
    ["definitions", "2067", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2068", "Offset"],
    ["definitions", "2069", "float3"],
    ["definitions", "2070", "0.0, 0.0, 0.0"],
    ["definitions", "2071", "Controls position of the texture on the object."],
    ["definitions", "2072", "Tiling"],
    ["definitions", "2073", "float3"],
    ["definitions", "2074", "1.0, 1.0, 1.0"],
    ["definitions", "2075", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.8 Cellular noise texture (color/float variant)", [
    ["definitions", "2077", "This function creates patterns of randomly positioned cells. Also known as \"Worley noise\""],
    ["definitions", "2078", "Parameters:"],
    ["definitions", "2079", "name"],
    ["definitions", "2080", "type"],
    ["definitions", "2081", "default"],
    ["definitions", "2082", "description"],
    ["definitions", "2083", "Color 1"],
    ["definitions", "2084", "color"],
    ["definitions", "2085", "100% white"],
    ["definitions", "2086", "1st noise color."],
    ["definitions", "2087", "Color 2"],
    ["definitions", "2088", "color"],
    ["definitions", "2089", "0% black"],
    ["definitions", "2090", "2nd noise color."],
    ["definitions", "2091", "Cell type"],
    ["definitions", "2092", "enum"],
    ["definitions", "2093", "\"Simple Cells\""],
    ["definitions", "2094", "Can be \"Simple Cells\", \"Crystal cells\" or \"Borders\". Describes fill pattern for the cells."],
    ["definitions", "2095", "Cell shape"],
    ["definitions", "2096", "enum"],
    ["definitions", "2097", "\"Circle base\""],
    ["definitions", "2098", "Can be \"Circle base\" or \"Diamond base\". The basic shape of the cells"],
    ["definitions", "2099", "Lower threshold"],
    ["definitions", "2100", "float"],
    ["definitions", "2101", "0.0"],
    ["definitions", "2102", "Increasing this value will create bigger areas uniformly colored with Color 2."],
    ["definitions", "2103", "Upper threshold"],
    ["definitions", "2104", "float"],
    ["definitions", "2105", "1.0"],
    ["definitions", "2106", "Lowering this value will create bigger areas uniformly colored with Color 1."],
    ["definitions", "2107", "Use Object Space"],
    ["definitions", "2108", "bool"],
    ["definitions", "2109", "false"],
    ["definitions", "2110", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2111", "UV space index"],
    ["definitions", "2112", "int"],
    ["definitions", "2113", "0"],
    ["definitions", "2114", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2115", "Rotation"],
    ["definitions", "2116", "float3"],
    ["definitions", "2117", "0.0, 0.0, 0.0"],
    ["definitions", "2118", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2119", "Offset"],
    ["definitions", "2120", "float3"],
    ["definitions", "2121", "0.0, 0.0, 0.0"],
    ["definitions", "2122", "Controls position of the texture on the object."],
    ["definitions", "2123", "Tiling"],
    ["definitions", "2124", "float3"],
    ["definitions", "2125", "1.0, 1.0, 1.0"],
    ["definitions", "2126", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.9 Cellular noise texture (bump variant)", [
    ["definitions", "2128", "This function creates patterns of randomly positioned cells. Also known as \"Worley noise\""],
    ["definitions", "2129", "Parameters:"],
    ["definitions", "2130", "name"],
    ["definitions", "2131", "type"],
    ["definitions", "2132", "default"],
    ["definitions", "2133", "description"],
    ["definitions", "2134", "Bump strength"],
    ["definitions", "2135", "float"],
    ["definitions", "2136", "1"],
    ["definitions", "2137", "The strength of the bump mapping effect."],
    ["definitions", "2138", "Cell shape"],
    ["definitions", "2139", "enum"],
    ["definitions", "2140", "\"Circle base\""],
    ["definitions", "2141", "Can be \"Circle base\" or \"Diamond base\". The basic shape of the cells"],
    ["definitions", "2142", "Lower threshold"],
    ["definitions", "2143", "float"],
    ["definitions", "2144", "0.0"],
    ["definitions", "2145", "Increasing this value will create bigger uniformly flat low areas."],
    ["definitions", "2146", "Upper threshold"],
    ["definitions", "2147", "float"],
    ["definitions", "2148", "1.0"],
    ["definitions", "2149", "Lowering this value will create bigger uniformly flat high areas."],
    ["definitions", "2150", "Use Object Space"],
    ["definitions", "2151", "bool"],
    ["definitions", "2152", "false"],
    ["definitions", "2153", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2154", "UV space index"],
    ["definitions", "2155", "int"],
    ["definitions", "2156", "0"],
    ["definitions", "2157", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2158", "Rotation"],
    ["definitions", "2159", "float3"],
    ["definitions", "2160", "0.0, 0.0, 0.0"],
    ["definitions", "2161", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2162", "Offset"],
    ["definitions", "2163", "float3"],
    ["definitions", "2164", "0.0, 0.0, 0.0"],
    ["definitions", "2165", "Controls position of the texture on the object."],
    ["definitions", "2166", "Tiling"],
    ["definitions", "2167", "float3"],
    ["definitions", "2168", "1.0, 1.0, 1.0"],
    ["definitions", "2169", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.10 Flow noise texture (color/float variant)", [
    ["definitions", "2171", "Allow texturing with a 2D noise pattern suitable for waves. Note that even though the positioning is happening in 3D, the actual pattern is only 2D."],
    ["definitions", "2172", "Parameters:"],
    ["definitions", "2173", "name"],
    ["definitions", "2174", "type"],
    ["definitions", "2175", "default"],
    ["definitions", "2176", "description"],
    ["definitions", "2177", "Color 1"],
    ["definitions", "2178", "color"],
    ["definitions", "2179", "100% white"],
    ["definitions", "2180", "1st noise color."],
    ["definitions", "2181", "Color 2"],
    ["definitions", "2182", "color"],
    ["definitions", "2183", "0% black"],
    ["definitions", "2184", "2nd noise color."],
    ["definitions", "2185", "Levels"],
    ["definitions", "2186", "int"],
    ["definitions", "2187", "3"],
    ["definitions", "2188", "Higher amounts will add detail to the noise. Value must be between 1 and 6."],
    ["definitions", "2189", "Billowing appearance"],
    ["definitions", "2190", "bool"],
    ["definitions", "2191", "false"],
    ["definitions", "2192", "The noise will take on a more cloud like shape if set to true."],
    ["definitions", "2193", "Phase offset"],
    ["definitions", "2194", "float"],
    ["definitions", "2195", "0.0"],
    ["definitions", "2196", "Controls the 3rd dimension of the function and can be used to animate the waves."],
    ["definitions", "2197", "Level intensity gain"],
    ["definitions", "2198", "float"],
    ["definitions", "2199", "0.5"],
    ["definitions", "2200", "If multiple levels are used, \"Level intensity gain\" specifies a weighting factor for subsequent levels."],
    ["definitions", "2201", "Level scaling"],
    ["definitions", "2202", "float"],
    ["definitions", "2203", "2.0"],
    ["definitions", "2204", "If multiple levels are used, \"Level scaling\" specifies a global scaling factor for subsequent levels"],
    ["definitions", "2205", "Progressive u scale"],
    ["definitions", "2206", "float"],
    ["definitions", "2207", "1.0"],
    ["definitions", "2208", "If multiple levels are used, \"Progressive u scale\" specifies an additional stretching factor in the \"u\" direction"],
    ["definitions", "2209", "Progressive v offset"],
    ["definitions", "2210", "float"],
    ["definitions", "2211", "0.0"],
    ["definitions", "2212", "If multiple levels are used, \"Progressive v offset\" specifies an offset for subsequent levels in the \"v\" direction"],
    ["definitions", "2213", "Use Object Space"],
    ["definitions", "2214", "bool"],
    ["definitions", "2215", "false"],
    ["definitions", "2216", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2217", "UV space index"],
    ["definitions", "2218", "int"],
    ["definitions", "2219", "0"],
    ["definitions", "2220", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2221", "Rotation"],
    ["definitions", "2222", "float3"],
    ["definitions", "2223", "0.0, 0.0, 0.0"],
    ["definitions", "2224", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2225", "Offset"],
    ["definitions", "2226", "float3"],
    ["definitions", "2227", "0.0, 0.0, 0.0"],
    ["definitions", "2228", "Controls position of the texture on the object."],
    ["definitions", "2229", "Tiling"],
    ["definitions", "2230", "float3"],
    ["definitions", "2231", "1.0, 1.0, 1.0"],
    ["definitions", "2232", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.11 Flow noise texture (bump variant)", [
    ["definitions", "2234", "Allow texturing with a 2D noise pattern suitable for waves. Note that even though the positioning is happening in 3D, the actual pattern is only 2D."],
    ["definitions", "2235", "Parameters:"],
    ["definitions", "2236", "name"],
    ["definitions", "2237", "type"],
    ["definitions", "2238", "default"],
    ["definitions", "2239", "description"],
    ["definitions", "2240", "Bump strength"],
    ["definitions", "2241", "float"],
    ["definitions", "2242", "1"],
    ["definitions", "2243", "The strength of the bump mapping effect."],
    ["definitions", "2244", "Levels"],
    ["definitions", "2245", "int"],
    ["definitions", "2246", "1"],
    ["definitions", "2247", "Higher amounts will add detail to the noise. Value must be between 1 and 6."],
    ["definitions", "2248", "Billowing appearance"],
    ["definitions", "2249", "bool"],
    ["definitions", "2250", "false"],
    ["definitions", "2251", "The noise will take on a more cloud like shape if set to true."],
    ["definitions", "2252", "Phase offset"],
    ["definitions", "2253", "float"],
    ["definitions", "2254", "0.0"],
    ["definitions", "2255", "Controls the 3rd dimension of the function and can be used to animate the waves."],
    ["definitions", "2256", "Level intensity gain"],
    ["definitions", "2257", "float"],
    ["definitions", "2258", "0.5"],
    ["definitions", "2259", "If multiple levels are used, \"Level intensity gain\" specifies a weighting factor for subsequent levels."],
    ["definitions", "2260", "Level scaling"],
    ["definitions", "2261", "float"],
    ["definitions", "2262", "2.0"],
    ["definitions", "2263", "If multiple levels are used, \"Level scaling\" specifies a global scaling factor for subsequent levels"],
    ["definitions", "2264", "Progressive u scale"],
    ["definitions", "2265", "float"],
    ["definitions", "2266", "1.0"],
    ["definitions", "2267", "If multiple levels are used, \"Progressive u scale\" specifies an additional stretching factor in the \"u\" direction"],
    ["definitions", "2268", "Progressive v offset"],
    ["definitions", "2269", "float"],
    ["definitions", "2270", "0.0"],
    ["definitions", "2271", "If multiple levels are used, \"Progressive v offset\" specifies an offset for subsequent levels in the \"v\" direction"],
    ["definitions", "2272", "Use Object Space"],
    ["definitions", "2273", "bool"],
    ["definitions", "2274", "false"],
    ["definitions", "2275", "If off, UVW space will be used. If on, 3d texturing in object space will apply. For applications that do not support object space, world space will be used."],
    ["definitions", "2276", "UV space index"],
    ["definitions", "2277", "int"],
    ["definitions", "2278", "0"],
    ["definitions", "2279", "Allows the use of a specific UV channel if the object has multiple UV sets defined. Only applies if \"Use Object Space\" is off."],
    ["definitions", "2280", "Rotation"],
    ["definitions", "2281", "float3"],
    ["definitions", "2282", "0.0, 0.0, 0.0"],
    ["definitions", "2283", "Rotation angle of the texture in degrees. To just rotate in the \"uv\" plane provide the the rotation value as the 3rd component."],
    ["definitions", "2284", "Offset"],
    ["definitions", "2285", "float3"],
    ["definitions", "2286", "0.0, 0.0, 0.0"],
    ["definitions", "2287", "Controls position of the texture on the object."],
    ["definitions", "2288", "Tiling"],
    ["definitions", "2289", "float3"],
    ["definitions", "2290", "1.0, 1.0, 1.0"],
    ["definitions", "2291", "Controls the scale of the texture on the object. Higher values result on higher repetition of the image."]
  ]],
  ["3.12 Blend colors", [
    ["definitions", "2294", "Blend colors is a helper function that can be used to combine multiple textures together or to modify the result of a texture function. It implements layer blend operations commonly known from painting applications."],
    ["definitions", "2295", "Parameters:"],
    ["definitions", "2296", "name"],
    ["definitions", "2297", "type"],
    ["definitions", "2298", "default"],
    ["definitions", "2299", "description"],
    ["definitions", "2300", "Color 1"],
    ["definitions", "2301", "color"],
    ["definitions", "2302", "0% black"],
    ["definitions", "2303", "The base color&#47;texture of the blend."],
    ["definitions", "2304", "Color 2"],
    ["definitions", "2305", "color"],
    ["definitions", "2306", "100% white"],
    ["definitions", "2307", "The layer color&#47;texture for the blend"],
    ["definitions", "2308", "Blend mode"],
    ["definitions", "2309", "enum"],
    ["definitions", "2310", "<tt>color_layer_blend</tt>"],
    ["definitions", "2311", "Describes how Color 1 and Color 2 are combined."],
    ["definitions", "2312", "Blend weight"],
    ["definitions", "2313", "float"],
    ["definitions", "2314", "1.0"],
    ["definitions", "2315", "Defines strength of the effect. At weight of 0.0, only \"Color 1\" will be visible. At weight 1.0, the blend function will have full effect."],
    ["definitions", "2316", "The return value of the \"Blend color\" function therefore is:"],
    ["definitions", "2317", "<pre>\"Blend function\" * \"Blend weight\" + \"Color1\" * ( 1- \"Blend weight\")</pre>"],
    ["definitions", "2318", "For colors A and B, the following is a list of all blend modes as well as a short description of the matching blend function."],
    ["definitions", "2320", "Blend mode"],
    ["definitions", "2321", "Blend function"],
    ["definitions", "2322", "color_layer_blend"],
    ["definitions", "2323", "B"],
    ["definitions", "2324", "color_layer_add"],
    ["definitions", "2325", "B + A"],
    ["definitions", "2326", "color_layer_multiply"],
    ["definitions", "2327", "B * A"],
    ["definitions", "2328", "color_layer_screen"],
    ["definitions", "2329", "1 - ((1 - B) * (1 - A))"],
    ["definitions", "2330", "color_layer_overlay"],
    ["definitions", "2331", "For each channel individualy: if A < 0.5: B * A * 2, else: 2 * (B + A - B * A - 0.5)"],
    ["definitions", "2332", "color_layer_brightness"],
    ["definitions", "2333", "Hue of the A layer combined with the intensity of the B"],
    ["definitions", "2334", "color_layer_color"],
    ["definitions", "2335", "Intensity of the A layer combined with the hue of the B"],
    ["definitions", "2336", "color_layer_exclusion"],
    ["definitions", "2337", "A + B - A * B * 2"],
    ["definitions", "2338", "color_layer_average"],
    ["definitions", "2339", "Average of B and A layer"],
    ["definitions", "2340", "color_layer_lighten"],
    ["definitions", "2341", "Maximum of B and A layer"],
    ["definitions", "2342", "color_layer_darken"],
    ["definitions", "2343", "Minimum of B and A layer"],
    ["definitions", "2344", "color_layer_sub"],
    ["definitions", "2345", "A + B - 1"],
    ["definitions", "2346", "color_layer_negation"],
    ["definitions", "2347", "1 - math::abs(1 - (A + B))"],
    ["definitions", "2348", "color_layer_difference"],
    ["definitions", "2349", "Absolute difference of B and A layer"],
    ["definitions", "2350", "color_layer_softlight"],
    ["definitions", "2351", "(B < 0.5) ? 2 * (B * A + A * A * (0.5 - B)) : 2 * (math::sqrt(A) * (B - 0.5) + A - B * A)"],
    ["definitions", "2352", "color_layer_colordodge"],
    ["definitions", "2353", "A &#47; (1 - B)"],
    ["definitions", "2354", "color_layer_reflect"],
    ["definitions", "2355", "A * A&#47;(1 - B)"],
    ["definitions", "2356", "color_layer_colorburn"],
    ["definitions", "2357", "1 - (1 - A)&#47;B"],
    ["definitions", "2358", "color_layer_phoenix"],
    ["definitions", "2359", "Minimum of both layers minus the maximum of both layers (plus 1.0)"],
    ["definitions", "2360", "color_layer_hardlight"],
    ["definitions", "2361", "For each channel individualy: if B > 0.5: B * A * 2, else: 2 * (B + A - B * A - 0.5)"],
    ["definitions", "2362", "color_layer_hardmix"],
    ["definitions", "2363", "For each channel individualy: (B + A < = 1) ? 0 : 1"],
    ["definitions", "2364", "color_layer_lineardodge"],
    ["definitions", "2365", "B + A (clamped)"],
    ["definitions", "2366", "color_layer_linearburn"],
    ["definitions", "2367", "A + B - 1 (clamped)"],
    ["definitions", "2368", "color_layer_spotlight"],
    ["definitions", "2369", "2 * B * A"],
    ["definitions", "2370", "color_layer_spotlightblend"],
    ["definitions", "2371", "B * A + A"],
    ["definitions", "2372", "color_layer_hue"],
    ["definitions", "2373", "Uses hue from B layer, saturation and brightness from A"],
    ["definitions", "2374", "color_layer_saturation"],
    ["definitions", "2375", "Uses saturation from B layer, hue and brightness from A"]
  ]]
];

var section_headers = {
  "1 Introduction": ["definitions", "1001"],
  "2 Materials and building blocks": ["definitions", "1003"],
  "2.1 Simple materials": ["definitions", "1005"],
  "2.1.1 Simple Diffuse": ["definitions", "1008"],
  "2.1.2 Metal": ["definitions", "1028"],
  "2.1.3 Plastic": ["definitions", "1060"],
  "2.1.4 Retroreflective": ["definitions", "1096"],
  "2.1.5 Thin glass": ["definitions", "1128"],
  "2.1.6 Thin translucent material": ["definitions", "1152"],
  "2.1.7 Thick glass": ["definitions", "1184"],
  "2.1.8 Thick translucent material": ["definitions", "1220"],
  "2.1.9 Flexible material model": ["definitions", "1264"],
  "2.1.10 Flaky Paint": ["definitions", "1336"],
  "2.2 Modifier materials": ["definitions", "1384"],
  "2.2.1 Apply clear coating": ["definitions", "1387"],
  "2.2.2 Apply thin metal coating": ["definitions", "1419"],
  "2.2.3 Apply a cover of dust": ["definitions", "1447"],
  "2.2.4 Apply a color falloff": ["definitions", "1475"],
  "2.2.5 Apply Flake coating": ["definitions", "1507"],
  "2.2.6 Apply thin film": ["definitions", "1542"],
  "2.2.7 Add cut-outs": ["definitions", "1561"],
  "2.2.8 Add simple sticker": ["definitions", "1577"],
  "2.2.9 Add global bumpmap": ["definitions", "1613"],
  "2.2.10 Add displacement": ["definitions", "1629"],
  "2.2.11 Add emission": ["definitions", "1649"],
  "2.2.12 Add thermal emission": ["definitions", "1673"],
  "2.2.13 Surface Blender": ["definitions", "1697"],
  "2.3 Emissive materials": ["definitions", "1717"],
  "2.3.1 Diffuse emission": ["definitions", "1719"],
  "2.3.2 Spotlight emission": ["definitions", "1739"],
  "2.3.3 IES file based emission": ["definitions", "1763"],
  "3 Texturing functions": ["definitions", "1782"],
  "Texturing functions can be used to add variation to many features of a material. They can for example be used to change the color across an object, the intensities of reflections or add variations to an otherwise smooth surface through bump maps. nvidia::core_definitions suppports texturing using bitmap textures as well as a selection of procedural textures to add variation. Most texturing functions come in 2 flavours: 1 variant suitable to add bumps to a material and one variant to add color or vary roughness or reflectivity. 3.1 Bitmap texture (color/float variant)": ["definitions", "1784"],
  "3.2 Bitmap texture (bump variant)": ["definitions", "1831"],
  "3.3 Normalmap texture": ["definitions", "1870"],
  "3.4 3d checker texture (color/float variant)": ["definitions", "1905"],
  "3.5 3d checker texture (bump variant)": ["definitions", "1944"],
  "3.6 Perlin noise texture (color/float variant)": ["definitions", "1979"],
  "3.7 Perlin noise texture (bump variant)": ["definitions", "2030"],
  "3.8 Cellular noise texture (color/float variant)": ["definitions", "2077"],
  "3.9 Cellular noise texture (bump variant)": ["definitions", "2128"],
  "3.10 Flow noise texture (color/float variant)": ["definitions", "2171"],
  "3.11 Flow noise texture (bump variant)": ["definitions", "2234"],
  "3.12 Blend colors": ["definitions", "2293"]};
